I am going to release the next version of my appliation Astral effects. So far it uses CLD-2.0 and MIDP2.0. It would work on more models if it used CLD-1.0 and MIDP2.0.

The ony NokiaUI method I use is fillArc. I have tried different "S60 Platform SDKs for Symbian OS, for Java" on

http://forum.nokia.com/info/sw.nokia..._for_Java.html

I have tried 3d edition FP1 and 2nd edition FP2, but they use CLD-2.0 and MIDP2.0. 1:st edition fp1 and 2nd edition fp1 are not possible to install for different reasons. So is there any way to use use NokiaUI with CLD-1.0?